mscorlib 2.0.0.0 4.0.0.0 System.Object System.Collections.ICollection System.Runtime.InteropServices.ComVisible(true)

objects specify access rights for specific key containers.

Represents a collection of objects. This class cannot be inherited.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  The object is added to the end of the collection.

  Adds a object to the collection.

  The index at which the new element was inserted.

  The object to add.
- Method
  2.0.0.0
  4.0.0.0
  System.Void

  Use this method to empty the .

  Removes all the objects from the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies the elements of the collection to a compatible one-dimensional array, starting at the specified index of the target array.

  The one-dimensional array that is the destination of the elements copied from the current collection. The index in at which copying begins.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Use the property to determine the number of objects in the collection. The property is commonly used when iterating through the collection to determine the upper bound of the collection.

  Gets the number of items in the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.KeyContainerPermissionAccessEntryEnumerator

  Use this method to create a object that can be used to iterate through the collection to get each item.

  Use the property of the enumerator to get the item currently pointed to in the collection.

  Use the method of the enumerator to move to the next item in the collection.

  Use the method of the enumerator to move to the initial position.

  After you create a object or use the method to move the enumerator to the first item in the collection, you must call the method. Otherwise, the item represented by the property is undefined.

  Returns a object that can be used to iterate through the objects in the collection.

  A object that can be used to iterate through the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  Use this method to determine the index number of the specified object in the collection. If the specified object is not found, an value of –1 is returned.

  Gets the index in the collection of the specified object, if it exists in the collection.

  The index of the specified object in the collection, or –1 if no match is found.

  The object to locate.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property implements the property and always returns false.

  Gets a value indicating whether the collection is synchronized (thread safe).

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.KeyContainerPermissionAccessEntry `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  When you remove an item from the collection, the index values change for subsequent items in the collection. All information about the removed item is deleted. Use this method when you want to remove a specific item by specifying the actual item to remove. To remove all items from the list, use the method.

  Removes the specified object from thecollection.

  The object to remove.
- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  The object returned in this implementation is the object itself.

  For more information on the property, see the property of the interface.

  Gets an object that can be used to synchronize access to the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies the elements of the collection to a compatible one-dimensional array, starting at the specified index of the target array.

  The one-dimensional array that is the destination of the elements copied from the current collection. The index in at which copying begins.
- Method
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Returns a object that can be used to iterate through the objects in the collection.

  A object that can be used to iterate through the collection.